import * as React from 'react';
import { RouteComponentProps, RouteProps, Route, Switch } from 'react-router-dom';
import { Container, Menu, Sidebar, Segment, Icon, Breadcrumb, Grid, Dropdown } from 'semantic-ui-react';
import { Header } from './Header';
import { Footer } from './Footer';
import { TitleBar } from './TitleBar';
import LeftMenu from './LeftMenu';
import SensorSetup from '../monitoring/sensor/Setup';
import SensorDetail from '../monitoring/sensor/Detail';

export interface Props extends RouteComponentProps<any> {
}
export interface State {
}

class SensorDetailLayout extends React.Component<Props, State> {

  public constructor(props?: Props, context?: State) {
    super(props, context);

  }

  public render(): JSX.Element {
    const sub = [
      {
        'name': 'Info',
        'path': `${this.props.location.pathname}`,
      },
      {
        'name': 'History',
        'path': `${this.props.location.pathname}/history`,
      },
    ];
    return (
       <Container fluid>
        <LeftMenu />
        <Segment vertical style={{ margin: '0 0 0 210px', padding: '0' }}>
          <Header />
          <TitleBar title='Probe Details' sub={sub} />
          <Switch>
            <Route path={`${this.props.match.url}/:id/`} component={SensorDetail}/>
          <Route path={`${this.props.match.url}/:id/info/`} component={SensorDetail}/>
          {/*<Route path={`${this.props.match.url}/:id/history/`} component={EmailConfirm}/>*/}
           <Route path={`${this.props.match.url}/setup/`} component={SensorSetup} />
          </Switch>
          <Footer />
        </Segment>
      </Container >
    );
  }

}


export default SensorDetailLayout;
